DCMTK: DRTOverrideSequence::Item Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTOverrideSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTOverrideSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getOperatorsName (OFString &value, const signed long pos=0) const
| get OperatorsName (0008,1070)
OFCondition | getOverrideParameterPointer (OFString &value, const signed long pos=0) const
| get OverrideParameterPointer (3008,0062)
OFCondition | getOverrideReason (OFString &value, const signed long pos=0) const
| get OverrideReason (3008,0066)
OFCondition | getParameterItemIndex (OFString &value, const signed long pos=0) const
| get ParameterItemIndex (3008,0063)
OFCondition | getParameterItemIndex (Sint32 &value, const unsigned long pos=0) const
| get ParameterItemIndex (3008,0063)
OFCondition | getParameterSequencePointer (OFString &value, const signed long pos=0) const
| get ParameterSequencePointer (3008,0061)
OFCondition | getParameterValueNumber (Uint16 &value, const unsigned long pos=0) const
| get ParameterValueNumber (3008,0067)
DRTOperatorIdentificationSequence & | getOperatorIdentificationSequence ()
| get OperatorIdentificationSequence (0008,1072)
const DRTOperatorIdentificationSequence & | getOperatorIdentificationSequence () const
| get OperatorIdentificationSequence (0008,1072)
OFCondition | setOperatorsName (const OFString &value, const OFBool check=OFTrue)
| set OperatorsName (0008,1070)
OFCondition | setOverrideParameterPointer (const OFString &value, const OFBool check=OFTrue)
| set OverrideParameterPointer (3008,0062)
OFCondition | setOverrideReason (const OFString &value, const OFBool check=OFTrue)
| set OverrideReason (3008,0066)
OFCondition | setParameterItemIndex (const OFString &value, const OFBool check=OFTrue)
| set ParameterItemIndex (3008,0063)
OFCondition | setParameterSequencePointer (const OFString &value, const OFBool check=OFTrue)
| set ParameterSequencePointer (3008,0061)
OFCondition | setParameterValueNumber (const Uint16 value, const unsigned long pos=0)
| set ParameterValueNumber (3008,0067)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DRTOperatorIdentificationSequence | OperatorIdentificationSequence
| OperatorIdentificationSequence (0008,1072) vr=SQ, vm=1, type=3.
DcmPersonName | OperatorsName
| OperatorsName (0008,1070) vr=PN, vm=1-n, type=2.
DcmAttributeTag | OverrideParameterPointer
| OverrideParameterPointer (3008,0062) vr=AT, vm=1, type=1.
DcmShortText | OverrideReason
| OverrideReason (3008,0066) vr=ST, vm=1, type=3.
DcmIntegerString | ParameterItemIndex
| ParameterItemIndex (3008,0063) vr=IS, vm=1, type=1.
DcmAttributeTag | ParameterSequencePointer
| ParameterSequencePointer (3008,0061) vr=AT, vm=1, type=1.
DcmUnsignedShort | ParameterValueNumber
| ParameterValueNumber (3008,0067) vr=US, vm=1, type=3.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTOverrideSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTOverrideSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getOperatorIdentificationSequence() [1/2]

DRTOperatorIdentificationSequence & DRTOverrideSequence::Item::getOperatorIdentificationSequence | ( |  | ) |
| inline

get OperatorIdentificationSequence (0008,1072)

Returns
  reference to sequence element

References OperatorIdentificationSequence.

## ◆ getOperatorIdentificationSequence() [2/2]

const DRTOperatorIdentificationSequence & DRTOverrideSequence::Item::getOperatorIdentificationSequence | ( |  | ) | const
| inline

get OperatorIdentificationSequence (0008,1072)

Returns
  const reference to sequence element

References OperatorIdentificationSequence.

## ◆ getOperatorsName()

OFCondition DRTOverrideSequence::Item::getOperatorsName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get OperatorsName (0008,1070)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOverrideParameterPointer()

OFCondition DRTOverrideSequence::Item::getOverrideParameterPointer | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get OverrideParameterPointer (3008,0062)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOverrideReason()

OFCondition DRTOverrideSequence::Item::getOverrideReason | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get OverrideReason (3008,0066)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getParameterItemIndex() [1/2]

OFCondition DRTOverrideSequence::Item::getParameterItemIndex | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ParameterItemIndex (3008,0063)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getParameterItemIndex() [2/2]

OFCondition DRTOverrideSequence::Item::getParameterItemIndex | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get ParameterItemIndex (3008,0063)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getParameterSequencePointer()

OFCondition DRTOverrideSequence::Item::getParameterSequencePointer | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ParameterSequencePointer (3008,0061)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getParameterValueNumber()

OFCondition DRTOverrideSequence::Item::getParameterValueNumber | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const

get ParameterValueNumber (3008,0067)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTOverrideSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTOverrideSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTOverrideSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTOverrideSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOperatorsName()

OFCondition DRTOverrideSequence::Item::setOperatorsName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set OperatorsName (0008,1070)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (PN) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOverrideParameterPointer()

OFCondition DRTOverrideSequence::Item::setOverrideParameterPointer | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set OverrideParameterPointer (3008,0062)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (AT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOverrideReason()

OFCondition DRTOverrideSequence::Item::setOverrideReason | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set OverrideReason (3008,0066)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setParameterItemIndex()

OFCondition DRTOverrideSequence::Item::setParameterItemIndex | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ParameterItemIndex (3008,0063)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setParameterSequencePointer()

OFCondition DRTOverrideSequence::Item::setParameterSequencePointer | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ParameterSequencePointer (3008,0061)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (AT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setParameterValueNumber()

OFCondition DRTOverrideSequence::Item::setParameterValueNumber | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )

set ParameterValueNumber (3008,0067)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTOverrideSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtos.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2